var HL = HL || {};

HL.preview = (function() {
    var container = OU.utils.createElement('div'),
        activity;

    var init = function() {
        //console.log('Preview init');
    };

    var create = function (cfg) {
        console.log(cfg);
        activity = HL.activity.construct();
        activity.load(cfg);
        OU.utils.emptyElement(container);
        container.appendChild(activity.container);
    };

    return {
        container: container,
        init: init,
        create: create
    };
})();